Selenium on Steroids (SoS)
==========================
The projects targets QA automation engineers that want a clean and simple way to create Selenium tests 
allowing them to focus more on designing the tests rather than dealing with technical difficulties. 
Using a simple property file and Maven profiles the instantiation of a WebDriver objects with different kind of settings reduces to just setting some predefined properties. 
The project enhances the functionality of the WebDriver API by offering additional methods for common tasks, having as a long run target to implement most of the Selenium IDE functions.
SoS also offers different utility methods in order to interact with simple files, properties files,
Excel documents, XML documents, Databases, post XML calls over HTTP, etc. Basically everything you need for your data driven testing scenarios.

Features
========
* Seamless integration with JUNIT
* Easy Maven integration: the project is published on Maven Central so you can easily add it as a Maven dependency
* Easily create new Selenium tests by extending a base class which incorporates all the required logic to configure a WebDriver instance
* Utility methods to interact with DB
* Enhances the WebDriver API with new methods
* Utility methods to interact with Excel files
* Utility methods to interact with text files and XML files
* Utility methods to use XMLs over HTTP (make WebService calls for example) 
* Easily control different WebDriver instances and configuration through properties
* Automatically take screenshots when Selenium tests are failing

In order to get the most out of Selenium on Steriods you must write your Selenium tests using the JUnit framework.

Getting started
===============
<https://github.com/ludovicianul/selenium-on-steroids/wiki/getting-started>

Changelog
=========
<https://github.com/ludovicianul/selenium-on-steroids/wiki/changelog>

Homepage
========
<http://insidecoding.com/selenium-on-steroids/>

Wiki
====
<https://github.com/ludovicianul/selenium-on-steroids/wiki>

Issue Tracker
=============
<https://github.com/ludovicianul/selenium-on-steroids/issues>

License
=======
[The Apache Software License, Version 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt)
